RSConstants
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.searchservice.searchlibrary.resultset.helpers
Class RSConstants

    java.lang.Object
      org.gcube.common.searchservice.searchlibrary.resultset.helpers.RSConstants

    public class RSConstants

extends java.lang.Object

This class holds some constant values that are used for the creation and usage of a `ResultSet`

Author:
  UoA

Nested Class Summary
`static class` | `RSConstants.CONTROLFLOW` Enumeration used to specify demands on result production
`static class` | `RSConstants.RESOURCETYPE` Enumeration used to defoine type of resource to use
`static class` | `RSConstants.TRANSPORTTYPE` Enumeration used to specify demands on result consumption

Field Summary
`static java.lang.String` | `access` Tag used to signfy forward creation
`static java.lang.String` | `baseDirectory` The base directory where all the parts are kept
`static int` | `blockSize` The the block size to use for byte reading
`static java.lang.String` | `BodyTag` Tag used in the xml representation of a part
`static java.lang.String` | `cextention` File extention for all public content parts
`static short` | `CONTENT` Flag to indicate a content part
`static java.lang.Object` | `controlFlowOnIt` Used to notify about data flow new data request
`static java.lang.String` | `CustomPropertiesTag` Tag used in the xml representation of a part
`static java.lang.String` | `dataFlow` Tag used to signfy controled creation
`static java.lang.String` | `dfextention` File extention for flow control flag
`static java.lang.String` | `encKey` The encryption key tag
`static java.lang.String` | `expireDate` The time leasing tag
`static java.lang.String` | `forward` Tag used to signfy forward creation
`static short` | `HEADER` Flag to indicate a header part
`static java.lang.String` | `HeadTag` Tag used in the xml representation of a part
`static java.lang.String` | `hextention` File extention for all public header parts
`static java.lang.String` | `isHead` Tag used in the xml representation of a part
`static java.lang.String` | `localFileName` Tag used in the xml representation of a part
`static java.lang.Object` | `lockHead` Used to serialize updates to head part
`static java.lang.String` | `nextLink` Tag used in the xml representation of a part
`static short` | `PAGEDCONTENT` Flag to indicate a paged content part
`static int` | `partSize` The maximum file size created during content spliting
`static java.lang.String` | `PartsTag` Tag used in the xml representation of a part
`static java.lang.String` | `PartTag` Tag used in the xml representation of a part
`static java.lang.String` | `pextention` File extention for all public paged content parts
`static java.lang.String` | `pKey` The public key tag
`static java.lang.String` | `previousLink` Tag used in the xml representation of a part
`static java.lang.String` | `PropertiesTag` Tag used in the xml representation of a part
`static java.lang.String` | `PropertyAttributeNameTag` Tag used in the xml representation of a part
`static java.lang.String` | `PropertyTag` Tag used in the xml representation of a part
`static java.lang.String` | `RecordsTag` Tag used in the xml representation of a part
`static java.lang.String` | `RecordTag` Tag used in the xml representation of a part
`static java.util.regex.Pattern` | `respat` The pattern to seperate results
`static java.lang.String` | `ResultSetTag` Tag used in the xml representation of a part
`static int` | `sleepMax` The maximum amount of time a Thread will wait for the next part to be produced unless otherwise specified
`static java.lang.Object` | `sleepOnIt` Used to notify about new part creation
`static int` | `sleepTime` The maximum amount of time a Thread will block on a wait call
`static java.lang.String` | `textention` File extention for all tmp part
`static int` | `transportBlockSize` The block size used to transport over socket streaming

Constructor Summary
`RSConstants()`

Method Summary
`static java.lang.String` | `nextUUID()` Generates a unigue string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lockHead

    public static final java.lang.Object lockHead

  Used to serialize updates to head part

### sleepOnIt

    public static final java.lang.Object sleepOnIt

  Used to notify about new part creation

### controlFlowOnIt

    public static final java.lang.Object controlFlowOnIt

  Used to notify about data flow new data request

### sleepTime

    public static final int sleepTime

  The maximum amount of time a Thread will block on a wait call

  See Also:
    Constant Field Values

### sleepMax

    public static final int sleepMax

  The maximum amount of time a Thread will wait for the next part to be produced unless otherwise specified

  See Also:
    Constant Field Values

### partSize

    public static int partSize

  The maximum file size created during content spliting

### blockSize

    public static int blockSize

  The the block size to use for byte reading

### transportBlockSize

    public static int transportBlockSize

  The block size used to transport over socket streaming

### baseDirectory

    public static final java.lang.String baseDirectory

  The base directory where all the parts are kept

  See Also:
    Constant Field Values

### CONTENT

    public static final short CONTENT

  Flag to indicate a content part

  See Also:
    Constant Field Values

### HEADER

    public static final short HEADER

  Flag to indicate a header part

  See Also:
    Constant Field Values

### PAGEDCONTENT

    public static final short PAGEDCONTENT

  Flag to indicate a paged content part

  See Also:
    Constant Field Values

### cextention

    public static final java.lang.String cextention

  File extention for all public content parts

  See Also:
    Constant Field Values

### pextention

    public static final java.lang.String pextention

  File extention for all public paged content parts

  See Also:
    Constant Field Values

### dfextention

    public static final java.lang.String dfextention

  File extention for flow control flag

  See Also:
    Constant Field Values

### textention

    public static final java.lang.String textention

  File extention for all tmp part

  See Also:
    Constant Field Values

### hextention

    public static final java.lang.String hextention

  File extention for all public header parts

  See Also:
    Constant Field Values

### ResultSetTag

    public static final java.lang.String ResultSetTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### HeadTag

    public static final java.lang.String HeadTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### PropertiesTag

    public static final java.lang.String PropertiesTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### PropertyTag

    public static final java.lang.String PropertyTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### PropertyAttributeNameTag

    public static final java.lang.String PropertyAttributeNameTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### isHead

    public static final java.lang.String isHead

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### localFileName

    public static final java.lang.String localFileName

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### dataFlow

    public static final java.lang.String dataFlow

  Tag used to signfy controled creation

  See Also:
    Constant Field Values

### forward

    public static final java.lang.String forward

  Tag used to signfy forward creation

  See Also:
    Constant Field Values

### expireDate

    public static final java.lang.String expireDate

  The time leasing tag

  See Also:
    Constant Field Values

### pKey

    public static final java.lang.String pKey

  The public key tag

  See Also:
    Constant Field Values

### encKey

    public static final java.lang.String encKey

  The encryption key tag

  See Also:
    Constant Field Values

### access

    public static final java.lang.String access

  Tag used to signfy forward creation

  See Also:
    Constant Field Values

### PartsTag

    public static final java.lang.String PartsTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### PartTag

    public static final java.lang.String PartTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### CustomPropertiesTag

    public static final java.lang.String CustomPropertiesTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### BodyTag

    public static final java.lang.String BodyTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### RecordsTag

    public static final java.lang.String RecordsTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### RecordTag

    public static final java.lang.String RecordTag

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### nextLink

    public static final java.lang.String nextLink

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### previousLink

    public static final java.lang.String previousLink

  Tag used in the xml representation of a part

  See Also:
    Constant Field Values

### respat

    public static final java.util.regex.Pattern respat

  The pattern to seperate results

Constructor Detail

### RSConstants

    public RSConstants()

Method Detail

### nextUUID

    public static java.lang.String nextUUID()

  Generates a unigue string

  Returns:
    The unique string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD